Bug 97451 - kernel-source RPM too large for common uses
kernel-source RPM too large for common uses
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-15 22:53 EDT by Glen Turner
Modified: 2007-04-18 12:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Glen Turner 2003-06-15 22:53:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
kernel-source contains: (1) the kernel code with patches, including (2) the
kernel public headers needed to build modules outside the source tree (via
/lib/modules/`uname -r`/build/include); (3) the .config files used for each
kernel variant.

These are all packaged into one 38MB file.

The common uses of kernel-source are: (1) build a third-party kernel module; (2)
build one's own kernel using a RHL .config as a starting point.

If someone has built their own kernel module then the kernel-source file needs
to be downloaded for each updated kernel and the kernel module rebuilt.  This is
a significant download for modem users.

Could thought be given to further dividing kernel-source into:

 kernel-source-headers (the public headers in linux/include)

 kernel-source-config (the .config files)

 kernel-source-code (the rest)

At the present it is difficult to distribute the source for a small GPLed
module.  People keep asking for precompiled binaries.  Asking people why it
doesn't seem that:

  rpmbuild --rebuild x-module.src.rpm

is beyond them, but that the kernel-source download is massive.

If we need to provide pre-compiled binaries for each RHL kernel variant then
it's hard to convince management to release or GPL the code in the first place.
 After all the costs for the build platforms (real or VMWare) need to be met
somehow.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Upgrade kernel as per security advisory (now kernel-source...rpm on CD is
useless for building modules)
2. Download updated kernel-source...rpm using 56Kbps modem
3. Wait 90+ minutes for download
4. Recompile <10KB module in seconds.
    

Actual Results:  Users were frustrated at 1.5 hours to install a new driver

Expected Results:  Users were delighted

Additional info:
Comment 1 Arjan van de Ven 2003-06-16 03:50:46 EDT
we're investigation solutions for this that don't break back compat (eg the
ability to use 1 codebase for errata for 7.1 -> RHL9)

Also, if you module is GPL, why not submit it for inclusion in RHL9 itself ?
(and to marcelo's 2.4.2x kernel tree)
Comment 2 Bugzilla owner 2004-09-30 11:41:08 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.